Bug 869819 - New 'compression attack' backport ready for corner case security matter
New 'compression attack' backport ready for corner case security matter
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 17:05 EDT by R P Herrold
Modified: 2013-12-02 08:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 06:24:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2012-10-24 17:05:39 EDT
Description of problem:

It appears a httpd attack through mod_ssl has been identified, and a fix back-ported upstream into Apache 2.2

Version-Release number of selected component (if applicable):

see: https://issues.apache.org/bugzilla/show_bug.cgi?id=53219

How reproducible:

seen during an audit at: https://www.ssllabs.com/ssltest/analyze.html

Steps to Reproduce:

deploy a unit, updated to current and hardened against 'Beast' and one still gets:

Protocol Details
Secure Renegotiation 	Supported, with client-initiated renegotiation disabled
Insecure Renegotiation 	Not supported
BEAST attack 	Not vulnerable
Compression 	Yes   INSECURE (more info)

with an outlink to:

https://community.qualys.com/blogs/securitylabs/2012/09/14/crime-information-leakage-attack-against-ssltls
  
Actual results:

The noted exception

Expected results:

no exceptions

Additional info:
Comment 4 Tomas Hoger 2012-10-29 09:33:06 EDT
See bug 857051, comment 5 for a way to disable SSL compression in existing httpd versions in Red Hat Enterprise Linux 5 and 6.
Comment 6 Joe Orton 2012-10-29 11:43:49 EDT
There's an ongoing debate on whether or not to change the OpenSSL default on compression.  If this does change, the httpd config option will not be necessary and would work in unexpected ways.  So we are not planning to add this feature to httpd at the current time.

See Tomas's link above for a method to forcibly disable SSL compression support in httpd.
Comment 10 RHEL Product and Program Management 2013-10-13 20:20:18 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 11 Tomas Hoger 2013-11-11 09:54:09 EST
(In reply to Joe Orton from comment #6)
> There's an ongoing debate on whether or not to change the OpenSSL default on
> compression.

Note that openssl packages in Red Hat Enterprise Linux and Fedora were changed to disable compression by default:

https://rhn.redhat.com/errata/RHSA-2013-0587.html

SSLCompression on does not re-enable compression in httpd/mod_ssl.
Comment 12 Joe Orton 2013-12-02 06:24:19 EST
Given that the OpenSSL default is now "compression off"... and we have no way to programatically enable SSL/TLS compression via mod_ssl, there does not seem to be any need to add the "SSLCompression" directive any more.

Note You need to log in before you can comment on or make changes to this bug.